import { Config, Paths } from './types';
/**
 * Search the parent directories for the Redwood configuration file.
 */
export declare const getConfigPath: () => string;
/**
 * The Redwood config file is used as an anchor for the base directory of a project.
 */
export declare const getBaseDir: (configPath?: string) => string;
/**
 * Paths are anchored to the Redwood config file.
 */
export declare const getPaths: (BASE_DIR?: string) => Paths;
/**
 * These configuration options are modified by the user via the Redwood
 * config file.
 */
export declare const getConfig: () => Config;
